<?
define('PROTECTOR', 1);
$headmod = 'poezd';//фикс. места

$textl='Покупа проездного';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
$time=time();

echo"<div class='event'>Покупка проездного билета</div><small>Проездной билет позволяет путешествовать между городами бесплатно, но лишь некоторое время</small><div class='event'>";
$req = mysql_query("SELECT * FROM `proezd` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto>=1){
echo'У вас уже есть проездной, приходите позже';
}
else{
echo'1. <a href="proezd.php?mod=7">Купить</a> проездной на 7 дней за 1000 монет';}
echo"<br/><a href=\"index.php?\">Назад</a>"; 
break;

case '7':
$req = mysql_query("SELECT * FROM `proezd` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto>=1){
echo'У вас уже есть проездной, приходите позже'; 
include($path.'files/down.php');
exit;
}
if($udata['money'] < 1000)
{ echo'Для покупки проездного Вам требуется 1000 монет';
echo"<br/><a href=\"index.php?\">Назад</a>";
include($path.'files/down.php');
exit;
}
$time=time()+604800;
mysql_query("INSERT INTO `proezd` SET `usr` = '$log', `time` = '$time' ");
$money = $udata['money'] - 1000;
mysql_query("UPDATE `users` SET `money` = '$money' WHERE `usr` = '$log' ");
echo'Вы успешно купили проездной';
echo"<br/><a href=\"index.php?\">Назад</a>";


}
include($path.'files/down.php');
?>